#!/bin/bash

# Ha a parameter értéke határozatlan, akkor a kifejezés értéke 
# word lesz, de a parameter értéke nem változik.

echo :-
echo $parameter # Határozatlan
echo ${parameter:-word}
echo $paramater # Határozatlan

# Ha a parameter értéke határozatlan, akkor a parameter felveszi a
# word értéket, így a kifejezés értéke is word lesz.

echo :=
echo $parameter # Határozatlan
echo ${parameter:=word}
echo $parameter # word

# Ha a parameter határozatlan, akkor a kifejezés értéke határozatlan 
# marad, ám abban az esetben, ha a paramater-nek van értéke, akkor a
# kifejezés éréke word2 lesz.

echo :+
echo $parameter # word 
echo ${parameter:+word2} # word2
echo $parameter # word

# Ha a parameter értéke határozatlan akkor a standard hiba kimenetre a 
# "Hiba" üzenet íródik ki. A parameter értéke nem változik.

echo :?
echo $parameter2 # Határozatlan
echo ${parameter2:?Hiba}
echo $parameter2 # Határozatlan

